Skip to main content
Resource Center/Network Service/Network Service Operations/EIP Operations
GETEIP OperationsSince 0.6SynchronousAuth Required

GetEipAttachableVmNics

GetEipAttachableVmNics

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • eipUuidString

    Optional. The EIP UUID.

Query Parameters

  • vipUuidString

    Optional. The VIP UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      来源IP地址。

    • macStringRequired

      No description provided.

    • netmaskStringRequired

      No description provided.

    • gatewayStringRequired

      No description provided.

    • metaDataStringRequired

      元数据。

    • ipVersionIntegerRequired

      The IP version.

    • deviceIdIntegerRequired

      设备ID。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usedIpsListRequired

      See usedIps.

      • uuidStringRequired

        The resource UUID.

      • ipRangeUuidStringRequired

        The IP range UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipVersionIntegerRequired

        The IP version.

      • ipStringRequired

        The IP address.

      • netmaskStringRequired

        The netmask.

      • gatewayStringRequired

        The gateway.

      • usedForStringRequired

        已使用用于。

      • ipInLonglongRequired

        No description provided.

      • vmNicUuidStringRequired

        The VM NIC UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/eips/{eipUuid}/vm-instances/candidate-nics

/zstack/v1/eips/{eipUuid}/vm-instances/candidate-nics

Operation ID

GetEipAttachableVmNics

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/eips/{eipUuid}/vm-instances/candidate-nics?vipUuid=<vipUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "b9d15f91920738cb9c1d3d54c543da87", "vmInstanceUuid": "426e0bf3909c3049be70e9f621d69cae", "usedIpUuid": "74f3ce37130c386f8b79d1656285a41b", "l3NetworkUuid": "cad25a3e482d39e8b428a4f25db07b41", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history